# Common Targeting Syntax Mistakes

### Intro

This article will explain how to adhere to correct proxy targeting syntax and avoid common mistakes when doing so.

Most of GoProxies syntax follows this rule: dashes for starting the flag, dash for what you’re targeting, and underscores for specification and titles with more than one word.

### Country

You simply need to add a `country-<countryName>` tag to your proxy commands to target countries.  For example, to target USA you add country-us , so it would look like this:

`curl --proxytunnel --proxy "https://customer-USERNAME-country-us:PASSWORD@proxy.goproxies.com:1080" https://ip.goproxies.com`

All country abbreviations are the same as per ip2location website, You can easily retrieve these abbreviations here under each country, specified under  ISO-3166-1 Alpha-2: <https://www.ip2location.com/country-list>

### State/Province

To target a state or a province, you need to declare a `state` flag, then add the country, e.g `state-us` and state name itself preceded by an underscore, e.g `state-us_california`

For example, to target a us state:\
\
`state-us_florida`

Similarily for provinces or regions, lets say Ontario province in Canada:

`state-ca_ontario`

### City

You don’t need to chain a whole list of flags to target a specific city. All cities in our database come with the country information added to them.&#x20;

If, for example, you’d like to target Berlin in Germany, you would need a `city-de_berlin`,

or for Los Angeles, USA it would be `city-us_los_angeles`.

Full cURL example:

`curl --proxytunnel --proxy "https://customer-USERNAME-city-us_los_angeles:PASSWORD@proxy.goproxies.com:1080" https://ip.goproxies.com`

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.goproxies.com/proxies/faq/common-targeting-syntax-mistakes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
